function angle(acosa,asina,ier)
  !
  !***********************************************************************
  ! AIM
  ! ----
  !*    to caluculate angle between 0 and 2pi with sinus and cosinus.
  !*    if asina et acosa are equal 0 ier=1 et angle=0.
  !
  ! ARGUMENTS
  ! ---------
  !*ARG  acosa  E facteur * cosinus de l'angle
  !*ARG  asina  E facteur * sinus de l'angle
  !*ARG  ier    S code d'erreur
  !
  ! MODULES
  ! -------
  ! f90_kind  
  ! common_cons
  !
  ! CALLED BY 
  ! ---------
  ! xyzflh
  !
  ! CALL
  ! -------
  ! egalite
  !
  !
  !***********************************************************************
  !
  !
  use f90_kind
  use common_cons
   ! 
  !.. Implicit Declarations .. 
  implicit none
  real(SINGLE) :: angle
  ! 
  !.. Formal Arguments .. 
  real(SINGLE), intent(in) :: acosa
  real(SINGLE), intent(in) :: asina
  integer, intent(out) :: ier
  logical   :: egalite
  ! 
  !... External Functions ...
  external egalite
  !.. Intrinsic Functions .. 
  intrinsic atan2
  ! 
  ! ... Executable Statements ...
  ! 
  if (.not.egalite(acosa,0._S) .or. .not.egalite(asina,0._S)) then
    ier = 0
    angle = atan2(asina,acosa)
    if (angle < 0._S) then
      angle = angle + deupi
    end if
  else
    ier = 1
    angle = 0._S
  end if
  if (ier /= 0) print*,"warning (G-angle) : sinus et cosinus both are zero"
end function angle
