subroutine  conv_orbsp3_orbgeo (int_allocate,nstep,nvit,time_system,tab_orb)
  !
  !***********************************************************************
  !
  ! AIM
  ! ----
  !     ! This routine determines the ground track from the orbit file 
  !
  ! ARGUMENTS
  ! ---------
  !*ARG (IN) nstep : number of line of position in sp3 file
  !*ARG (IN) nvit : if nvit=1 velocity given in sp3 file  
  !*ARG (IN) time_system : refrence time (TAI, UTC, ...)    
  !*ARG (OUT) tab_or : array of dates and corresponding latitude and longitude
  !
  !
  ! MODULES
  ! -------
  ! f90_kind  
  ! common_cons
  !
  ! CALLED BY 
  ! ---------
  ! Main program
  !
  ! CALL
  ! ---------
  ! xyzflh
  !
  !***********************************************************************
  !    
  use f90_kind 
  use common_cons
  !.. Implicit Declarations .. 
  implicit none
  integer(SINGLE),intent(in) :: int_allocate
  integer(SINGLE),intent(in) :: nstep
  integer,intent(in) :: nvit
  character(len=3),intent(in) :: time_system 
  real(SINGLE),dimension(int_allocate,3),intent(out) :: tab_orb

   !.. Formal Arguments .
  integer                                :: ian,imoi,ijour,iheur,imin,id,i
  integer                                :: ancont,jul
  character(len=3)                       :: st 
  character(len=2)                       :: sp,vp
  real(SINGLE)                           :: jour,bid,secs
  real(SINGLE),dimension (3)             :: coord,vit  
  real(SINGLE)                           :: cortai,fit,xlt,ht
  character(len=3)                       :: end_file 

  integer(SINGLE),save                   :: nb_line_orb=1

  !... External Functions ...
  external cortai
  external jul

  st='*  '
  sp="PL"
  vp="VL"
  

  do id=1,nstep
    read (20,20000) st,ian,imoi,ijour,iheur,imin,secs
    jour =  jul(ijour,imoi,ian)+((3600*iheur+imin*60+secs)/86400.0_S) 
    if ( time_system == "UTC" ) jour=cortai(jour,1)
    read (20,21000) sp,ancont,(coord(i),i=1,3),bid
    if (nvit==1) read(20,21000) vp,ancont,(vit(i),i=1,3),bid
    coord=coord*1000.0_S
    call xyzflh(coord(1),coord(2),coord(3),fit,xlt,ht)
    fit=fit/cdr
    xlt=xlt/cdr

    tab_orb(nb_line_orb,1)=jour
    tab_orb(nb_line_orb,2)= fit
    tab_orb(nb_line_orb,3)= xlt     

    nb_line_orb= nb_line_orb+1 

  enddo 
  read (20,'(a3)') end_file

      !! Format entete EPOCH sp3c
20000 format(a3,i4,4(i3),f12.8)
      !! Format ligne position ou vitesse sp3c
21000 format(a2,i2.2,4f14.6)

end subroutine  conv_orbsp3_orbgeo
