function cortai(zdj,ind)
  !
  !***********************************************************************
  !
  ! AIM
  ! ----
  !     conversion ofjulien date 1950.0: dj
  !                from tuc into tai, if ind=+1
  !                from tai into tuc, if ind=-1  
  !
  ! ARGUMENTS
  ! ---------
  !*ARG  zdj  julien day date since from the beginning of the arc
  !*ARG  ind  1: tuc into tai; 2: tai into tuc  
  !
  ! CALLED BY 
  ! ---------
  ! date_cycle
  !
  !***********************************************************************
  !

  use f90_kind
  ! 
  !.. Implicit Declarations .. 
  implicit none
  ! 
  real(SINGLE) :: cortai
  !.. Parameters .. 
  integer, parameter :: ntuc = 38
  ! 
  !.. Formal Arguments .. 
  real(SINGLE), intent(in) :: zdj
  integer, intent(in) :: ind
  ! 
  !.. Local Scalars .. 
  integer :: i
  real(SINGLE) :: dj
  ! 
  !.. Local Arrays .. 
  character(LEN=20) :: cplf
  real(SINGLE), dimension(13) :: b,c
  real(SINGLE), dimension(ntuc) :: a,t
  ! 
  !.. Data Declarations .. 
  data t(1),a(1),b(1),c(1)/4018._S,1.422818_S,4018._S,0.0012960_S/
  data t(2),a(2),b(2),c(2)/4230._S,1.372818_S,4018._S,0.0012960_S/
  data t(3),a(3),b(3),c(3)/4383._S,1.845858_S,4383._S,0.0011232_S/
  data t(4),a(4),b(4),c(4)/5052._S,1.945858_S,4383._S,0.0011232_S/
  data t(5),a(5),b(5),c(5)/5113._S,3.240130_S,5479._S,0.0012960_S/
  data t(6),a(6),b(6),c(6)/5204._S,3.340130_S,5479._S,0.0012960_S/
  data t(7),a(7),b(7),c(7)/5357._S,3.440130_S,5479._S,0.0012960_S/
  data t(8),a(8),b(8),c(8)/5479._S,3.540130_S,5479._S,0.0012960_S/
  data t(9),a(9),b(9),c(9)/5538._S,3.640130_S,5479._S,0.0012960_S/
  data t(10),a(10),b(10),c(10)/5660._S,3.740130_S,5479._S,0.0012960_S/
  data t(11),a(11),b(11),c(11)/5722._S,3.840130_S,5479._S,0.0012960_S/
  data t(12),a(12),b(12),c(12)/5844._S,4.313170_S,5844._S,0.0025920_S/
  data t(13),a(13),b(13),c(13)/6605._S,4.213170_S,5844._S,0.0025920_S/
  data t(14),a(14)/8035._S,10._S/
  data t(15),a(15)/8217._S,11._S/
  data t(16),a(16)/8401._S,12._S/
  data t(17),a(17)/8766._S,13._S/
  data t(18),a(18)/9131._S,14._S/
  data t(19),a(19)/9496._S,15._S/
  data t(20),a(20)/9862._S,16._S/
  data t(21),a(21)/10227._S,17._S/
  data t(22),a(22)/10592._S,18._S/
  data t(23),a(23)/10957._S,19._S/
  data t(24),a(24)/11504._S,20._S/
  data t(25),a(25)/11869._S,21._S/
  data t(26),a(26)/12234._S,22._S/
  data t(27),a(27)/12965._S,23._S/
  data t(28),a(28)/13879._S,24._S/
  data t(29),a(29)/14610._S,25._S/
  data t(30),a(30)/14975._S,26._S/
  data t(31),a(31)/15522._S,27._S/
  data t(32),a(32)/15887._S,28._S/
  data t(33),a(33)/16252._S,29._S/
  data t(34),a(34)/16801._S,30._S/
  data t(35),a(35)/17348._S,31._S/
  data t(36),a(36)/17897._S,32._S/
  data t(37),a(37)/20454._S,33._S/
  data t(38),a(38)/21550._S,34._S/  
  ! 
  ! ... Executable Statements ...
  ! 
 cplf = 's/p cortai'
  dj = zdj
  do i = ntuc,14,-1
    if (dj >= t(i)) then
      cortai = zdj + REAL(ind,SINGLE)*a(i)/86400._S
      return
    end if
  end do
  do i = 13,1,-1
    if (dj >= t(i)) then
      cortai = zdj + REAL(ind,SINGLE)*(a(i)+(dj-b(i))*c(i))/86400._S
      return
    end if
  end do
  print *, ' erreur cortai , dj = ', dj
end function cortai
