subroutine date_cycle (datemes_deb,datemes_fin,dateor_deb,dateor_fin,ncycle) 
  !
  !***********************************************************************
  !
  ! AIM
  ! ----
  !    ! to seek the begin and end dates of jason cycle
  !    ! starting from the begin date of the measurements 
  !
  ! ARGUMENTS
  ! ---------
  !*ARG (IN)  datemes_deb : begin date of measurement
  !*ARG (IN)  datemes_fin : end date of measurement
  !*ARG (OUT) dateor_deb : begin date of Jason cycle  
  !*ARG (OUT) dateor_fin : end date of Jason cycle
  !
  !
  ! MODULES
  ! -------
  ! f90_kind  
  !
  !
  ! CALLED BY 
  ! ---------
  ! Main program
  !
  !
  ! CALL
  ! ---------  
  ! cortai
  !
  !
  !***********************************************************************
  !  

  use f90_kind

  !.. Implicit Declarations .. 
  implicit none
  
  !.. Formal Arguments .. 
  real(SINGLE), intent(in) :: datemes_deb,datemes_fin
  real(SINGLE), intent(out) :: dateor_deb,dateor_fin
  integer, intent(out) :: ncycle
  
  !.. Local Scalars ..
  real(SINGLE) :: cortai,date

  !... External Functions ...
  external cortai

  ! ... Executable Statements ...

  ! opening of the file containing the dates of begin and end of the Jason cycles 
  ! reading of the dates of begin and end of cycle
  Open (15,file='ANNEXE/CYCLE/jason_cycle_dates',status='OLD')  
  read (15,10034)ncycle,dateor_deb
  read (15,10034)ncycle,dateor_fin
  ncycle = ncycle - 1
  ! UTC date conversion into TAI date
  dateor_deb = cortai(dateor_deb,1)
  dateor_fin = cortai(dateor_fin,1)
  ! Control
  if (datemes_deb < dateor_deb) then
    ncycle = 0
    date=2._S*dateor_deb-dateor_fin
    dateor_fin=dateor_deb
    dateor_deb=date
  end if
  if (datemes_deb < dateor_deb) then
    print 10000,datemes_deb,ncycle,dateor_deb
    stop
  end if
  ! loop to seek the begin and end dates of jason cycle starting from the begin date of the measurements 
  do
    if (datemes_deb >= dateor_deb .AND. datemes_deb < dateor_fin) exit
    read (15,10034,end = 1305)ncycle,date
    ncycle = ncycle - 1
    dateor_deb = dateor_fin
    dateor_fin = cortai(date,1)
  enddo
  close(15)
  write (*,10004) ncycle,dateor_deb,dateor_fin
  return

1305 continue
  close(15)
  ! Control
  if (datemes_fin > dateor_fin) then
    print 10002,datemes_fin,ncycle,dateor_fin,ncycle
    dateor_deb=dateor_fin
  else
    write (*,10004) ncycle,dateor_deb,dateor_fin
  end if
  

  ! reading format
10000 format (/'WARNING ! Your first measurement (',f18.12,') is BEFORE ', &
        'start date of cycle ',i1,' (in CNES julian days, TAI): ',f18.12/ &
        '--------> CHANGE IT !'/)
10002 format (/'WARNING ! Your last measurement (',f18.12,') is AFTER end ', &
        'date of cycle ',i3,' (in CNES julian days, TAI): ',f18.12/ &
        '--------> WE STOP AT THE END OF CYCLE ',i3/)
10004 format ('Computation CYCLE ',i3,': ',f18.12,' - ',f18.12)
10034 format (i3,2x,f18.12)

end subroutine date_cycle

