logical function egalite(OPER1,OPER2)
  !
  !***********************************************************************
  !
  ! AIM
  ! ----
  ! equality between two reals number with double precision.
  !
  ! ARGUMENTS
  ! ---------
  !*ARG  OPER1  E first real number double precision
  !*ARG  OPER2  E second real number double precision
  !
  !
  ! MODULES
  ! -------
  ! f90_kind  
  !
  ! CALLED BY 
  ! ---------
  ! xyzflh
  ! angle
  !
  !***********************************************************************
  !
  !
  use f90_kind
  ! 
  !.. Implicit Declarations .. 
  implicit none
  ! 
  !.. Parameters .. 
  integer, parameter :: K = 8
  real(SINGLE) :: k_epsilon
  ! 
  !.. Formal Arguments .. 
  real(SINGLE), intent(in) :: OPER1
  real(SINGLE), intent(in) :: OPER2
  ! 
  !.. Intrinsic Functions .. 
  intrinsic ABS
  ! 
  ! ... Executable Statements ...
  ! 
  !
  k_epsilon = real(K,SINGLE) * epsilon(k_epsilon)
  !
  egalite = (ABS(OPER1-OPER2)<=k_epsilon*(ABS(OPER1)+ABS(OPER2)))
!
end function egalite
