integer function jul(nj,nm,na)
  !
  !***********************************************************************
  !
  ! AIM
  ! ----
  !  Conversion of a calendar date (day, month, year : nj, nm, na)
  !  into a Julien day CNES date.
  !
  ! ARGUMENTS
  ! ---------
  !*ARG  nj  E day
  !*ARG  nm  E month
  !*ARG  na  E year
  !
  ! CALLED BY
  ! ---------
  ! interpol_datemes
  ! lecture_doris_file_init
  !
  !***********************************************************************
  !
  use f90_kind
  ! 
  !.. Implicit Declarations .. 
  implicit none
  ! 
  !.. Formal Arguments .. 
  integer, intent(in) :: nj
  integer, intent(in) :: nm
  integer, intent(in) :: na
  ! 
  !.. Local Scalars .. 
  integer :: ia,ix,iy,jy,n
  ! 
  !.. Local Arrays .. 
  integer, dimension(12) :: m
  ! 
  !.. Data Declarations .. 
  data m/-1,31,28,31,30,31,30,31,31,30,31,30/
  ! 
  !.. Executable Statements ...
  ! 
  iy = na - 1948
  ia = (iy-1) / 4
  jul = ia + 365*iy - 730
  do n = 1,nm
    jul = jul + m(n)
  end do
  if (nm > 2) then
    jy = na / 4
    ix = na - jy*4
    if (ix == 0) then
      jul = jul + 1
    end if
  end if
  jul = jul + nj
end function jul
