subroutine lecture_doris_file_init(nformat,datemes_deb,datemes_fin,nbmes)
  
  !
  !***********************************************************************
  !
  ! AIM
  ! ----
  !    ! to seek the begin and end dates and the number of measurements
  !    ! starting from the file of the measurements 
  !
  ! ARGUMENTS
  ! ---------
  !*ARG (IN)  nformat : indicate the format of the measurement file
  !*ARG (OUT) datemes_deb : begin date of measurement  
  !*ARG (OUT) datemes_fin : end date of measurement
  !*ARG (OUT) nbmes : number of measurements
  !
  !
  ! MODULES
  ! -------
  ! f90_kind  
  !
  !
  ! CALLED BY 
  ! ---------
  ! Main program
  !
  !
  ! CALL
  ! ---------
  ! jul
  !
  !***********************************************************************
  !  

  use f90_kind

  !.. Implicit Declarations .. 
  implicit none
  !
  !.. Formal Arguments .
  integer (SINGLE), intent(in) :: nformat
  integer (SINGLE), intent(out) :: nbmes
  real(SINGLE), intent(out) :: datemes_deb,datemes_fin
  
  !.. Local Scalars ..
  integer :: ian,jour,isec,isecf,jul,icount
  real(SINGLE) :: sec

  !... External Functions ...
  external jul 
    
  !... Intrinsic Functions ..
  intrinsic real  

  ! ... Executable Statements ...
  
  ! opening of the measurement file and reading of the begin date
  Open (16,file='ANNEXE/MESURE/Input',status='OLD')
  nbmes = 0
  datemes_deb = 99999._S
  datemes_fin = 0._S
  ! loop to count the number of measurements
  do
    if (nformat == 1_S) then
      read (16,10024,end = 1300)ian, jour, isec, isecf
  ! the calculation is centered at the middle of the count interval
      isecf = isecf + icount/20      
    else
      read (16,*,end = 1300)ian, jour, isec, isecf
    endif
    nbmes = nbmes + 1
    ! calendar date conversion into julien day CNES (real) date (end date)
    if (ian < 1900) then  
      if (ian < 50) then
        ian = ian+2000
      else
        ian = ian+1900
      end if
    endif
    jour = jour + jul(1,1,ian) - 1
    sec = real(isec,SINGLE) + 1.e-6_S*real(isecf,SINGLE)
    datemes_deb = min(datemes_deb,real(jour,SINGLE)+sec/86400._S)
    datemes_fin = max(datemes_fin,real(jour,SINGLE)+sec/86400._S)
  enddo

1300 continue
  close(16)
10024 format (16x,i2,i3,i5,i6,3x,i10)

end subroutine lecture_doris_file_init

